The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

cPanel Update failed (missing pixman)

Discussion in 'General Discussion' started by eskhosting.com, Feb 4, 2015.

Thread Status:
Not open for further replies.
  1. eskhosting.com

    Joined:
    Oct 18, 2006
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Latest update is stopped on missing RPM: pixman

    Code:
    ...
    [20150203.232507]   Detected version '11.46.2.4' from version file.
    [20150203.232507]   Running version '11.48.0.7' of updatenow.
    [20150203.232507]   Using mirror '208.74.121.37' for host 'httpupdate.cpanel.net'.
    [20150203.232507]   Target version set to '11.48.0.7'
    ...
    [20150203.232537]   No package pixman available.
    [20150203.232538]   Resolving Dependencies
    [20150203.232538]   --> Running transaction check
    [20150203.232538]   ---> Package giflib.i386 0:4.1.3-7.3.3.el5 set to be updated
    [20150203.232538]   ---> Package libxslt-devel.i386 0:1.1.17-4.el5_8.3 set to be updated
    [20150203.232539]   --> Processing Dependency: libgcrypt-devel for package: libxslt-devel
    [20150203.232539]   --> Running transaction check
    [20150203.232539]   ---> Package libgcrypt-devel.i386 0:1.4.4-7.el5_10 set to be updated
    [20150203.232539]   --> Processing Dependency: libgpg-error-devel for package: libgcrypt-devel
    [20150203.232539]   --> Running transaction check
    [20150203.232539]   ---> Package libgpg-error-devel.i386 0:1.4-2 set to be updated
    [20150203.232545]   --> Finished Dependency Resolution
    ...
    [20150203.232600] E Sysup: Needed system RPMs were not installed: pixman
    
    Code:
    yum search pixman
    cpanel-pixman.i386 : The pixel-manipulation library for X and cairo
    qpixman.i386 : Modified version of pixman for spice
    qpixman-devel.i386 : Pixel manipulation library development package
    
    Code:
    rpm -qa | grep pixman
    cpanel-pixman-0.24.2-2.cp1136
    
    Red Hat Enterprise Linux Server release 5.11 i686
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    654
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    Could you open a support ticket using the link in my signature so we can take a closer look? You can post the ticket number here so we can update this thread with the outcome.

    Thank you.
     
  3. eskhosting.com

    Joined:
    Oct 18, 2006
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Request id is: 6059447
     
  4. cPanelToddR

    cPanelToddR Member
    Staff Member

    Joined:
    Oct 8, 2009
    Messages:
    21
    Likes Received:
    1
    Trophy Points:
    3
    Our internal investigations indicate this is a result of EPEL being installed. cPanel doesn't really support EPEL due to issues just like this.

    We're sorry this is causing you trouble getting to the next major version of cPanel. We do have a fix for this in the next public release of 11.48.0. This fix would probably allow you to continue using EPEL. For the moment, your options are to install pixman manually (which may require you remove EPEL from your system) or wait for the next build. It should be out in roughly a week.

    Thanks!
     
  5. cPanelToddR

    cPanelToddR Member
    Staff Member

    Joined:
    Oct 8, 2009
    Messages:
    21
    Likes Received:
    1
    Trophy Points:
    3
    This was resolved in 11.48.0.10 by removing the pixman dependency for cPanel.
     
Loading...
Thread Status:
Not open for further replies.

Share This Page